package com.localtransfer;

import android.net.Uri;
import android.os.Parcel;
import android.os.Parcelable;
import android.view.View;

public class Extra implements Parcelable {

    public static final Parcelable.Creator CREATOR = new Parcelable.Creator() {
        public Extra createFromParcel(Parcel in) {
            return new Extra(in);
        }

        public Extra[] newArray(int size) {
            return new Extra[size];
        }
    };

    public String name;
    public long size;
    public String href;
    public String uri;
    public int id;

    // Constructor
    public Extra(Uri uri, String name, long size, String href, View view){
        this.uri = uri.toString();
        this.name = name;
        this.size = size;
        this.href = href;
        this.id = view.getId();
    }


    // Parcelling part
    public Extra(Parcel in){
        this.uri = in.readString();
        this.name = in.readString();
        this.size = in.readLong();
        this.href = in.readString();
        this.id = in.readInt();
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.uri);
        dest.writeString(this.name);
        dest.writeLong(this.size);
        dest.writeString(this.href);
        dest.writeInt(this.id);
    }
}